#define rev	r5564

%if 0%{?rev:1}
%define hash	b4b82c1379a2
%endif

Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.6.1
Release:	%mkrel 1
License:	GPLv2+ and ZPLv2.1
Group:		Graphics
Url:		https://github.com/OpenTTD/nml
Source0:	https://github.com/OpenTTD/nml/archive/%{version}/nml-%{version}.tar.xz
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
Requires:	python3-ply
Requires:	python3-pillow
Requires:	python3-pkg-resources

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%setup -q -n %{name}-%{version}%{?rev:.%rev}%{?hash:-%hash}

# fix build with new python3-pillow
sed -i -e 's,tostring(),tobytes(),g' \
	nml/spriteencoder.py \
	nml/lz77.py

%build
%py3_build

%install
%py3_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf %{buildroot}%{python_sitelib}/{easy-install.pth,site.py}

%check
%make regression

%files
%doc examples/
%doc docs/changelog.txt
%doc README* LICENSE
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%{python3_sitearch}/%{name}-*-py%{python3_version}.egg-info/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/nml_lz77.cpython-*.so


%changelog
* Mon Aug 29 2022 TerryN <terryn94 at gmail.com>  0.6.1-1pclos2022
- update and rebuild for python 3.10

* Thu Sep 12 2019 tex - 0.4.5-2pclos2019
- rebuild against updates

* Fri Jul 26 2019 tex - 0.4.5-1pclos2019
- new

